PETSc version 3.15.5
Fix/Edit manual page

# PCFactorGetShiftType

Gets the type of shift, if any, done when a zero pivot is detected

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorGetShiftType(PC pc,MatFactorShiftType *type)

Not Collective

### Input Parameters

| pc | - the preconditioner context

### Output Parameter

| type | - one of MAT_SHIFT_NONE, MAT_SHIFT_NONZERO, MAT_SHIFT_POSITIVE_DEFINITE, or MAT_SHIFT_INBLOCKS

### See Also

PCFactorSetShiftType(), MatFactorShiftType, PCFactorSetShiftAmount(), PCFactorGetShiftAmount()

### Level

intermediate

### Location

src/ksp/pc/impls/factor/factor.c

### Implementations

PCFactorGetShiftType_Factor in src/ksp/pc/impls/factor/factimpl.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages